%define name		gjt-jpl-pattern
%define version		0.2
%define release		1jpp
%define	section		free

Name:		%{name}
Summary:	Support for using design patterns.
Url:		http://www.gjt.org/pkgdoc/org/gjt/lindfors/pattern/index.html
Version:	%{version}
Release:	%{release}
Epoch:		0
License:	GPL
Group:		Development/Libraries/Java
Vendor:		JPackage Project
Distribution:	JPackage
BuildArch:	noarch
Source0:	gjt-jpl-pattern-source.zip
# download http://www.gjt.org/servlets/JCVSlet/zip/gjt/org/gjt/lindfors/pattern/pattern.zip
Source1:	gjt-jpl-pattern-build.xml

BuildRequires:  jpackage-utils >= 0:1.5
BuildRequires:	ant
BuildRoot:	%{_tmppath}/%{name}-%{version}-buildroot

%description
This package consists mainly of interfaces used to recognize 
well known design patterns in a software system. Most 
interfaces are only useful for 'tagging' classes as being a 
part of certain design patterns, and there isn't any 
implementing code present here. 

%package javadoc
Summary:	Javadoc for %{name}
Group:		Development/Documentation

%description javadoc
Javadoc for %{name}.

%package manual
Summary:	Documents for %{name}
Group:		Development/Documentation

%description manual
Javadoc for %{name}.

%prep
%setup -c -n %{name}-%{version}
chmod -R go=u-w *
find . -name "*.jar" -exec rm -f {} \;
mkdir -p pattern/build
cp %{SOURCE1} pattern/build/build.xml

%build
mkdir pattern/classes
ant -f pattern/build/build.xml lib javadoc

%install
# jars
install -d -m 755 $RPM_BUILD_ROOT%{_javadir}
install -m 644 pattern/build/jpl-pattern-0_2.jar $RPM_BUILD_ROOT%{_javadir}/%{name}-%{version}.jar
(cd $RPM_BUILD_ROOT%{_javadir} && for jar in *-%{version}*; do ln -sf ${jar} `echo $jar| sed  "s|-%{version}||g"`; done)

# javadoc
install -d -m 755 $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}
cp -pr pattern/javadoc/* $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}
ln -s %{name}-%{version} $RPM_BUILD_ROOT%{_javadocdir}/%{name} # ghost symlink

# manual
install -d -m 755 $RPM_BUILD_ROOT%{_docdir}/%{name}-%{version}
cp -pr pattern/doc/* $RPM_BUILD_ROOT%{_docdir}/%{name}-%{version}

%clean
rm -rf $RPM_BUILD_ROOT

%post javadoc
rm -f %{_javadocdir}/%{name}
ln -s %{name}-%{version} %{_javadocdir}/%{name}

%files
%defattr(-,root,root)
%{_docdir}/%{name}-%{version}/LICENSE
%{_javadir}/*

%files javadoc
%defattr(-,root,root)
%{_javadocdir}/%{name}-%{version}
%ghost %doc %{_javadocdir}/%{name}

%files manual
%defattr(-,root,root)
%{_docdir}/%{name}-%{version}

%changelog
* Mon Jul 26 2004 Ralph Apel <r.apel at r-apel.de> 0:%{version}-1jpp
- First JPackage release
